net.minecraft.util

## Enum EnumArt

- java.lang.Object
- - java.lang.Enum<EnumArt>
  - - net.minecraft.util.EnumArt

- All Implemented Interfaces:
    Serializable, Comparable<EnumArt>

      public enum EnumArt
      extends Enum<EnumArt>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Alban`
    `Aztec`
    `Aztec2`
    `Bomb`
    `BurningSkull`
    `Bust`
    `Courbet`
    `Creebet`
    `DonkeyKong`
    `Fighters`
    `Graham`
    `Kebab`
    `Match`
    `Pigscene`
    `Plant`
    `Pointer`
    `Pool`
    `Sea`
    `Skeleton`
    `SkullAndRoses`
    `Stage`
    `Sunset`
    `Void`
    `Wanderer`
    `Wasteland`
    `Wither`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `maxArtTitleLength` Holds the maximum length of paintings art title.
    `int` | `offsetX`
    `int` | `offsetY`
    `int` | `sizeX`
    `int` | `sizeY`
    `String` | `title` Painting Title.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumArt` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumArt[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Kebab

          public static final EnumArt Kebab

    - #### Aztec

          public static final EnumArt Aztec

    - #### Alban

          public static final EnumArt Alban

    - #### Aztec2

          public static final EnumArt Aztec2

    - #### Bomb

          public static final EnumArt Bomb

    - #### Plant

          public static final EnumArt Plant

    - #### Wasteland

          public static final EnumArt Wasteland

    - #### Pool

          public static final EnumArt Pool

    - #### Courbet

          public static final EnumArt Courbet

    - #### Sea

          public static final EnumArt Sea

    - #### Sunset

          public static final EnumArt Sunset

    - #### Creebet

          public static final EnumArt Creebet

    - #### Wanderer

          public static final EnumArt Wanderer

    - #### Graham

          public static final EnumArt Graham

    - #### Match

          public static final EnumArt Match

    - #### Bust

          public static final EnumArt Bust

    - #### Stage

          public static final EnumArt Stage

    - #### Void

          public static final EnumArt Void

    - #### SkullAndRoses

          public static final EnumArt SkullAndRoses

    - #### Wither

          public static final EnumArt Wither

    - #### Fighters

          public static final EnumArt Fighters

    - #### Pointer

          public static final EnumArt Pointer

    - #### Pigscene

          public static final EnumArt Pigscene

    - #### BurningSkull

          public static final EnumArt BurningSkull

    - #### Skeleton

          public static final EnumArt Skeleton

    - #### DonkeyKong

          public static final EnumArt DonkeyKong

  - ### Field Detail

    - #### maxArtTitleLength

          public static final int maxArtTitleLength

      Holds the maximum length of paintings art title.

    - #### title

          public final String title

      Painting Title.

    - #### sizeX

          public final int sizeX

    - #### sizeY

          public final int sizeY

    - #### offsetX

          public final int offsetX

    - #### offsetY

          public final int offsetY

  - ### Method Detail

    - #### values

          public static EnumArt[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumArt c : EnumArt.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumArt valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null